## filetest

#### OS/161 Reference Manual

### Name

filetest - basic filesystem test

### Synopsis

/testbin/filetest filename

### Description

filetest tests the filesystem by opening, writing to, and reading from a user-specified file.

### Requirements

filetest uses the following system calls:

- open
- read
- close
- remove
- write
- _exit

filetest should run correctly on SFS filesystems with the OS/161 system as shipped. It should continue to work once the file system assignment is complete.

It will not work in full on emufs, because emufs does not support remove().